Saltar al contenido

Overview

  • Version: 2.0.0
  • Servers:
    • https://getupdate.xsolla.com/

The Xsolla Event API is an alternative to using webhooks. It allows you to receive information about payment events directly from your application's client via requests to Xsolla’s server. This approach eliminates the need to set up and maintain your own server for handling webhooks.

Interaction between your application and Xsolla:

Interaction between app and Xsolla

Limitations

When you use the Event API:

  • You can’t reject operations, e.g., payments — all events are automatically considered approved.
  • You can’t use webhooks — the Event API and webhooks are incompatible integration options.

Comparison of the main features:

FeatureWebhooksEvent API
Request initiatorXsolla’s server.Your application’s client.
InfrastructureYou need your own server.You don’t need your own server.
Event handlingOn your server.On your application’s client.
Operation rejectionSupported.Not supported (all events are automatically considered approved).

How to set it up

Note

To enable Event API in your project, contact your Customer Success Manager or email at csm@xsolla.com or integration@xsolla.com.

  1. In your project in Publisher Account, go to the Settings > Integration settings section.
  2. Click Use API.
  3. In the modal window that opens, enter the project ID and click Use API.

Notice

Switching to the events API will automatically disable previously configured webhooks, and they will no longer be sent to your server.

Set up in Publisher Account

Note

The Xsolla Event API support is also available in the following Xsolla SDKs:

Descargar descripción de OpenAPI
Idiomas
Servidores
Mock server
https://xsolla.redocly.app/_mock/es/api/event/
https://getupdate.xsolla.com/
Operaciones

Get unprocessed event list for user

Solicitud

Seguridad
XsollaLoginUserJWT
Consulta
after_idinteger

Event ID after which the list is retrieved.

typesArray of strings

Array of event types to filter.

tokenstring

Payment token. Used if you didn’t pass the user JWT token.

curl -i -X GET \
  'https://xsolla.redocly.app/_mock/es/api/event/events?after_id=0&types=string&token=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respuestas

Successful response.

Cuerpoapplication/json
eventsArray of objects

Array containing event data.

Respuesta
application/json
{ "events": [ {} ] }

Solicitud

Seguridad
XsollaLoginUserJWT
Ruta
event_idinteger

Value of the events.id parameter received in the Get unprocessed event list for user API call.

curl -i -X POST \
  'https://xsolla.redocly.app/_mock/es/api/event/events/{event_id}/processed' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respuestas

OK.